<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Class Members (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li class="current"><a href="functions.html#index_a"><span>a</span></a></li>
      <li><a href="functions_0x62.html#index_b"><span>b</span></a></li>
      <li><a href="functions_0x63.html#index_c"><span>c</span></a></li>
      <li><a href="functions_0x64.html#index_d"><span>d</span></a></li>
      <li><a href="functions_0x65.html#index_e"><span>e</span></a></li>
      <li><a href="functions_0x66.html#index_f"><span>f</span></a></li>
      <li><a href="functions_0x67.html#index_g"><span>g</span></a></li>
      <li><a href="functions_0x68.html#index_h"><span>h</span></a></li>
      <li><a href="functions_0x69.html#index_i"><span>i</span></a></li>
      <li><a href="functions_0x6a.html#index_j"><span>j</span></a></li>
      <li><a href="functions_0x6b.html#index_k"><span>k</span></a></li>
      <li><a href="functions_0x6c.html#index_l"><span>l</span></a></li>
      <li><a href="functions_0x6d.html#index_m"><span>m</span></a></li>
      <li><a href="functions_0x6e.html#index_n"><span>n</span></a></li>
      <li><a href="functions_0x6f.html#index_o"><span>o</span></a></li>
      <li><a href="functions_0x70.html#index_p"><span>p</span></a></li>
      <li><a href="functions_0x71.html#index_q"><span>q</span></a></li>
      <li><a href="functions_0x72.html#index_r"><span>r</span></a></li>
      <li><a href="functions_0x73.html#index_s"><span>s</span></a></li>
      <li><a href="functions_0x74.html#index_t"><span>t</span></a></li>
      <li><a href="functions_0x75.html#index_u"><span>u</span></a></li>
      <li><a href="functions_0x76.html#index_v"><span>v</span></a></li>
      <li><a href="functions_0x77.html#index_w"><span>w</span></a></li>
      <li><a href="functions_0x7e.html#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a class="anchor" id="index_a"></a>- a -</h3><ul>
<li>Abort()
: <a class="el" href="structiCelSequence.html#aa7f15bc87d87f2c2b3bb1549c9a5c3ef">iCelSequence</a>
</li>
<li>Activate()
: <a class="el" href="structiPcCommandInput.html#a10455cb15dd2925bb181019348789668">iPcCommandInput</a>
</li>
<li>ActivateRegion()
: <a class="el" href="structiPcZoneManager.html#a0de36b9d1873b1d105fd3e443e71d704">iPcZoneManager</a>
</li>
<li>ActivateTrigger()
: <a class="el" href="structiTrigger.html#a71d1b2a2fd942bf5b58feb02fc0b2a36">iTrigger</a>
</li>
<li>Add()
: <a class="el" href="structiCelEntityList.html#aa094cc38b6399d5a08b5420aa5c13fa5">iCelEntityList</a>
, <a class="el" href="structiCelDataBuffer.html#a9ba8d453634f1b459d3b8ff78246bcc1">iCelDataBuffer</a>
, <a class="el" href="structiCelPropertyClassList.html#abd2ca8b5f07f96b4269f6344dad74b9c">iCelPropertyClassList</a>
</li>
<li>AddAction()
: <a class="el" href="classcelPcCommon.html#ab5945c8b98c349d72be91e98ff590887">celPcCommon</a>
</li>
<li>AddActionReward()
: <a class="el" href="structiQuestManager.html#a72864859727427b913838b2a73043974">iQuestManager</a>
</li>
<li>AddArgumentAfterUserArgs()
: <a class="el" href="classCEL_1_1CelStartWrapper.html#afa0445a527391d8dfd75593cdbd7d2aa">CEL::CelStartWrapper</a>
</li>
<li>AddArgumentBeforeUserArgs()
: <a class="el" href="classCEL_1_1CelStartWrapper.html#af0543b05f1637dd3582712afb1307f5e">CEL::CelStartWrapper</a>
</li>
<li>AddAxis()
: <a class="el" href="structiPcAnalogMotion.html#a4705235037f00dfa30e07280932e5b5d">iPcAnalogMotion</a>
, <a class="el" href="structiPcMechanicsThrusterController.html#a27560838c9fb1eb0384352383782b214">iPcMechanicsThrusterController</a>
</li>
<li>AddBalancedGroup()
: <a class="el" href="structiPcMechanicsThrusterController.html#a2c5edd062236d03fa7dad957682a125c">iPcMechanicsThrusterController</a>
</li>
<li>AddBodyToGroup()
: <a class="el" href="structiPcMechanicsSystem.html#aa6605fe85b17a3967f2c7ffd188d156c">iPcMechanicsSystem</a>
</li>
<li>AddChangePropertyReward()
: <a class="el" href="structiQuestManager.html#adab90e8984c891851def011eb34008e5">iQuestManager</a>
</li>
<li>AddChild()
: <a class="el" href="structiPcInventoryListener.html#afd2f597e55d23921656d16e77f3bd6e3">iPcInventoryListener</a>
, <a class="el" href="structiBTNode.html#ab1b594974911606569ef20311c5ff85b">iBTNode</a>
</li>
<li>AddClass()
: <a class="el" href="structiCelEntity.html#a96584263114e42a65237aafa2d9fd6f9">iCelEntity</a>
, <a class="el" href="structiCelEntityTemplate.html#ae0b4b111d1e0b30fd909fecab45882e2">iCelEntityTemplate</a>
</li>
<li>AddConstraint()
: <a class="el" href="structiPcMovable.html#a1fbe42e59d654568f2b5328142e5a318">iPcMovable</a>
</li>
<li>AddCreateEntityReward()
: <a class="el" href="structiQuestManager.html#ae25a9009348190cff1e5c1e068d2dd27">iQuestManager</a>
</li>
<li>AddCsSequenceReward()
: <a class="el" href="structiQuestManager.html#a63492dcaa4714deebbfda167360df30a">iQuestManager</a>
</li>
<li>AddData()
: <a class="el" href="structiCelDataBuffer.html#afaad25c5c32be4d6986ccc5a60e3b7ff">iCelDataBuffer</a>
</li>
<li>AddDebugPrintReward()
: <a class="el" href="structiQuestManager.html#a6bdaabd35a805df6f7efabbd7d252be7">iQuestManager</a>
</li>
<li>AddDelay()
: <a class="el" href="structiCelSequenceFactory.html#a075514025ef791959ae9864d847fd186">iCelSequenceFactory</a>
</li>
<li>AddDestroyEntityReward()
: <a class="el" href="structiQuestManager.html#a91e3b35ea8e6c85cbe423d3c1edd43f4">iQuestManager</a>
</li>
<li>AddEdge()
: <a class="el" href="structiCelGraph.html#ac3461121757df72f0cb198ee122da117">iCelGraph</a>
</li>
<li>AddEdgeByNames()
: <a class="el" href="structiCelGraph.html#ade4b352a97f23debb6bcddec1f99dbf7">iCelGraph</a>
</li>
<li>AddEntities()
: <a class="el" href="structiCelEntityTracker.html#ad669ff71ab8d2cb4f0886fb0afd380d7">iCelEntityTracker</a>
</li>
<li>AddEntity()
: <a class="el" href="structiCelLocalEntitySet.html#a7f8f6bae04f5915b58a0492681bbf5a0">iCelLocalEntitySet</a>
, <a class="el" href="structiCelEntityTracker.html#a52fb4367cdf78da314b378b674bee6ea">iCelEntityTracker</a>
, <a class="el" href="structiCelInventorySpaceSlot.html#a687c7435ae80e0020bf555d1776240ca">iCelInventorySpaceSlot</a>
, <a class="el" href="structiCelInventorySpace.html#a41fdb513c13c386c5f3c892dffdb111c">iCelInventorySpace</a>
, <a class="el" href="structiPcInventory.html#a47f2ad2707e4070e2d51950201ebc1cc">iPcInventory</a>
</li>
<li>AddEntityRemoveCallback()
: <a class="el" href="structiCelPlLayer.html#a040f187dbcebea19c47ec90477d385cc">iCelPlLayer</a>
</li>
<li>AddEntityTemplateType()
: <a class="el" href="structiPcSpawn.html#ab01ddfadde358f2a61c36ffe7235f94d">iPcSpawn</a>
</li>
<li>AddEntityType()
: <a class="el" href="structiPcSpawn.html#a236122722af95031a7372effc172174f">iPcSpawn</a>
</li>
<li>AddEventHandler()
: <a class="el" href="structiBillboard.html#a588b9d837abfa027fc0e6b7e5cf8889e">iBillboard</a>
</li>
<li>AddExitRewardFactory()
: <a class="el" href="structiQuestStateFactory.html#afe02392e106c273d2d95bf72fbd53dcb">iQuestStateFactory</a>
</li>
<li>AddForceDuration()
: <a class="el" href="structiPcMechanicsSystem.html#aa0a4c67c06729a0e2c7efdbe0f5b6624">iPcMechanicsSystem</a>
, <a class="el" href="structiPcMechanicsObject.html#a987034c0080e19c27efcf2e79711a13f">iPcMechanicsObject</a>
</li>
<li>AddForceFrame()
: <a class="el" href="structiPcMechanicsSystem.html#a6cd6eb8ef8fa95c17a08d307640e6197">iPcMechanicsSystem</a>
, <a class="el" href="structiPcMechanicsObject.html#a505a7b3411ce412437519a67f9aa9039">iPcMechanicsObject</a>
</li>
<li>AddForceOnce()
: <a class="el" href="structiPcMechanicsObject.html#a535a4d764194b9dd7ab1a6383330a009">iPcMechanicsObject</a>
</li>
<li>AddForceTagged()
: <a class="el" href="structiPcMechanicsSystem.html#ab8146239599f913a887f1a91ceb9c69c">iPcMechanicsSystem</a>
, <a class="el" href="structiPcMechanicsObject.html#aac6a269629cf3e9b2991bea5b2e44e7f">iPcMechanicsObject</a>
</li>
<li>AddGravityCallback()
: <a class="el" href="structiPcLinearMovement.html#ad3277adf4f3f41f2b0723b05ca7be340">iPcLinearMovement</a>
</li>
<li>AddInitRewardFactory()
: <a class="el" href="structiQuestStateFactory.html#a6437a8222a10bcdcecd740e843eafc30">iQuestStateFactory</a>
</li>
<li>AddInput()
: <a class="el" href="structiPcWire.html#ae1b1f88fdba43441b9575b9c0271b05f">iPcWire</a>
</li>
<li>AddInventoryListener()
: <a class="el" href="structiPcInventory.html#a38e202d14c73293263a79746f5dcbf82">iPcInventory</a>
</li>
<li>AddInventoryReward()
: <a class="el" href="structiQuestManager.html#af43fea5ff78fd0ea88e0505ccedaa512">iQuestManager</a>
</li>
<li>AddMeshSelectListener()
: <a class="el" href="structiPcMeshSelect.html#a003a8c1980e045a03c11dcc51a3201e2">iPcMeshSelect</a>
</li>
<li>AddMessage()
: <a class="el" href="structiCelEntityTemplate.html#a4ce4b28d3043533bf9a88f0b0e2cce1b">iCelEntityTemplate</a>
</li>
<li>AddMessageReward()
: <a class="el" href="structiQuestManager.html#a4d2bc4108a5e8f7afbcde46797102856">iQuestManager</a>
</li>
<li>AddNewEntityCallback()
: <a class="el" href="structiCelPlLayer.html#af124c829891d263e28e2b1f3480f3e93">iCelPlLayer</a>
</li>
<li>AddNewStateReward()
: <a class="el" href="structiQuestManager.html#a3ecbde49a9d29134528c6b0c68ad34db">iQuestManager</a>
</li>
<li>AddNode()
: <a class="el" href="structiCelNavMeshPath.html#a67aee277211100b4c763358ac040a224">iCelNavMeshPath</a>
, <a class="el" href="structiCelPath.html#a6263acf06b6e128e33c206655fa965e8">iCelPath</a>
, <a class="el" href="structiCelGraph.html#a962c8a9f990d484e005b4700776f0d40">iCelGraph</a>
</li>
<li>AddOutput()
: <a class="el" href="structiPcWire.html#adfd1503bc7c31173eb270f7be80d0272">iPcWire</a>
</li>
<li>AddParameter()
: <a class="el" href="structiActionRewardFactory.html#a7af1ff9cf8adc637aee2cd471fcc5332">iActionRewardFactory</a>
, <a class="el" href="structiCreateEntityRewardFactory.html#a0e2b694773f23eaac04ff6130cf8bc8a">iCreateEntityRewardFactory</a>
, <a class="el" href="structiMessageRewardFactory.html#a36e6fa130f8a46964f47b4257a43f13d">iMessageRewardFactory</a>
</li>
<li>AddPathNode()
: <a class="el" href="structiMovePathSeqOpFactory.html#a3eca9c2b5b1e53ec4bf5d23c1d9a287c">iMovePathSeqOpFactory</a>
</li>
<li>AddPersistentData()
: <a class="el" href="structiCelPersistentDataList.html#a6dbe20e00629f71d57aabb00697e4321">iCelPersistentDataList</a>
</li>
<li>AddPriority()
: <a class="el" href="structiCelRuleBase.html#a2a7197222fe2a57b3143eeb4732ef65d">iCelRuleBase</a>
</li>
<li>AddProperty()
: <a class="el" href="classcelPcCommon.html#ae49d96b36984d838bf1ac6413e93802e">celPcCommon</a>
</li>
<li>AddPropertyChangeCallback()
: <a class="el" href="structiCelPropertyClass.html#ac70770cd5367393b7c5ff8948cc4e8c4">iCelPropertyClass</a>
</li>
<li>AddPropertyListener()
: <a class="el" href="structiPcProperties.html#add41b7265ee4632801070561e2722829">iPcProperties</a>
</li>
<li>AddReward()
: <a class="el" href="structiBTAction.html#ad9c29894fe46df384a7304f036c888d7">iBTAction</a>
</li>
<li>AddRewardFactory()
: <a class="el" href="structiQuestTriggerResponseFactory.html#a7d50e1f162b2aa6d372a72081d14dc3d">iQuestTriggerResponseFactory</a>
</li>
<li>AddRule()
: <a class="el" href="structiPcRules.html#a89923097b616b94488007534c3497011">iPcRules</a>
</li>
<li>AddScope()
: <a class="el" href="structiCelPlLayer.html#a1b3ede99908786ef0f6c4c0092b44907">iCelPlLayer</a>
</li>
<li>AddSeqOpFactory()
: <a class="el" href="structiCelSequenceFactory.html#a9b17ec042d9af2d93ffb0a6d21581cf8">iCelSequenceFactory</a>
</li>
<li>AddSequenceCallback()
: <a class="el" href="structiCelSequence.html#a13d345168cc0ba16b74237d474c7639a">iCelSequence</a>
</li>
<li>AddSequenceFinishReward()
: <a class="el" href="structiQuestManager.html#abc45458f72ae6c6e8883dd8e267f543c">iQuestManager</a>
</li>
<li>AddSequenceReward()
: <a class="el" href="structiQuestManager.html#a0023903a2c0deec53d275946be714932">iQuestManager</a>
</li>
<li>AddSpawnPosition()
: <a class="el" href="structiPcSpawn.html#a9d21a3f5844714cb3bc83bf3ad0d7fd9">iPcSpawn</a>
</li>
<li>AddString()
: <a class="el" href="structiPcBag.html#a8e369608787430a9b8b4e32f0c8721e9">iPcBag</a>
</li>
<li>AddSuccessor()
: <a class="el" href="structiCelNode.html#acbcbb8b19aba5f5fabd840a696b1c040">iCelNode</a>
</li>
<li>AddThruster()
: <a class="el" href="structiPcMechanicsBalancedGroup.html#aa1b34dc23fa88dd1cee99e81c683e51d">iPcMechanicsBalancedGroup</a>
</li>
<li>AddToGroup()
: <a class="el" href="structiPcMechanicsObject.html#a1e4283b747fd811958c798de389c6ab8">iPcMechanicsObject</a>
</li>
<li>AddToInventory()
: <a class="el" href="structiPcCharacteristics.html#adbb4ac7d5e7e499b178bbeb15a0fc7d2">iPcCharacteristics</a>
</li>
<li>AddTriggerListener()
: <a class="el" href="structiPcTrigger.html#a4f70fa9b1204bf5c78d6a53a23c87361">iPcTrigger</a>
</li>
<li>AddVelocity()
: <a class="el" href="structiPcLinearMovement.html#a7f4455ea9bec08259033db47c0e4ac48">iPcLinearMovement</a>
</li>
<li>AdjustForCollisions()
: <a class="el" href="structiPcCollisionDetection.html#a1d7fbb6983f498f7924c1b9cf67872f8">iPcCollisionDetection</a>
</li>
<li>AfterBurnerOff()
: <a class="el" href="structiPcCraftController.html#a79306916af43121b02cb5a6c926d4ff8">iPcCraftController</a>
</li>
<li>AfterBurnerOn()
: <a class="el" href="structiPcCraftController.html#adab1cb088ca5cc0971fb7abf5f301208">iPcCraftController</a>
</li>
<li>angle
: <a class="el" href="structcelNavigationInfo.html#aebebd096c5dce2c236aca57b3e4d8654">celNavigationInfo</a>
</li>
<li>ApplyForce()
: <a class="el" href="structiPcGravity.html#a5f64dab083f3ca2465f64aa370c2ff08">iPcGravity</a>
</li>
<li>ApplyPermanentForce()
: <a class="el" href="structiPcGravity.html#aeaf5997493d26ebf63c30e8e7d8cac2c">iPcGravity</a>
</li>
<li>ApplyThrust()
: <a class="el" href="structiPcMechanicsThrusterController.html#a8295e538c070d55fc32c17fd65c0f2c7">iPcMechanicsThrusterController</a>
</li>
<li>AreaDamage()
: <a class="el" href="structiPcDamage.html#a859696cf5c2cab762ced30c78855ff56">iPcDamage</a>
</li>
<li>AreEventsEnabled()
: <a class="el" href="structiPcBillboard.html#aa584e7f4b274a4d72f905721305b59c7">iPcBillboard</a>
</li>
<li>AssociateEntity()
: <a class="el" href="structiCelRegion.html#afa66e5a4e9eccbb68eb43a6f845943a5">iCelRegion</a>
</li>
<li>AttachCameraMode()
: <a class="el" href="structiPcNewCamera.html#aa0df564424e41b7a1cba482cf3fd8c0e">iPcNewCamera</a>
</li>
<li>AttachColliderBoundingBox()
: <a class="el" href="structiPcMechanicsObject.html#a553bc6a82160cf93b307fac76e006af6">iPcMechanicsObject</a>
</li>
<li>AttachColliderBoundingSphere()
: <a class="el" href="structiPcMechanicsObject.html#a2cf882df76f7709ff8003ccd74fd0c82">iPcMechanicsObject</a>
</li>
<li>AttachColliderBox()
: <a class="el" href="structiPcMechanicsObject.html#aa5e229261a484fe9bec03bd79ccbb455">iPcMechanicsObject</a>
</li>
<li>AttachColliderConvexMesh()
: <a class="el" href="structiPcMechanicsObject.html#a4ccfbaa43a35425865d23928e96bc603">iPcMechanicsObject</a>
</li>
<li>AttachColliderCylinder()
: <a class="el" href="structiPcMechanicsObject.html#afe375adbbdfdf70b46af13fa3a12aef7">iPcMechanicsObject</a>
</li>
<li>AttachColliderMesh()
: <a class="el" href="structiPcMechanicsObject.html#ae3014506ffc9cb08e0e60a0e40dcf948">iPcMechanicsObject</a>
</li>
<li>AttachColliderPlane()
: <a class="el" href="structiPcMechanicsObject.html#a680eb66d8c3cc332f47441e9a6c9c4ca">iPcMechanicsObject</a>
</li>
<li>AttachColliderSphere()
: <a class="el" href="structiPcMechanicsObject.html#a30faf24bb4efb8a4913e185d49aeb12a">iPcMechanicsObject</a>
</li>
<li>AttachEntity()
: <a class="el" href="structiCelPlLayer.html#a9ffff853a142b640db3b0e7521534a38">iCelPlLayer</a>
</li>
<li>AttachSocketMesh()
: <a class="el" href="structiPcMesh.html#a5c261a8a5cf3cf6d64ce81d5ba3c2a71">iPcMesh</a>
</li>
<li>AuthorizePlayer()
: <a class="el" href="classcelGameServerManager.html#a7099380d2f41b043f3ae2c513cc1a0b2">celGameServerManager</a>
</li>
<li>AutoRun()
: <a class="el" href="structiPcActorMove.html#a5d7be1bf62aa63f10813d7e6769c714b">iPcActorMove</a>
</li>
<li>AvailableThrust()
: <a class="el" href="structiPcMechanicsThruster.html#a9483391c4910aaa18a4a9ef54c518b53">iPcMechanicsThruster</a>
, <a class="el" href="structiPcMechanicsBalancedGroup.html#a1d1c77a7d14d1cc098e9e179260ef0a5">iPcMechanicsBalancedGroup</a>
</li>
<li>AvailableThrustForce()
: <a class="el" href="structiPcMechanicsBalancedGroup.html#ab5f4359cd1d1622825b5ccac5f276f65">iPcMechanicsBalancedGroup</a>
</li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
